// Definition of serial Interface Parameters

#define BAUD	9600			// sending at 9600 Baud
#define BITS	8			// 7 or 8
#define PARITY	'N'			// N or E or O
#define STOPB	1			// 1 or 2
#define RTSCTS 1
#define NONE 0
#define FLOW	RTSCTS			// RTSCTS or NONE

#define TxBufferSize 	32
#define RxBufferSize 	32
#define RecordBufSize	255


#define REL5N		PC0
#define R5N_ON		PORTC|=_BV(REL5N)
#define R5N_OFF 	PORTC&=~_BV(REL5N)

#define REL5P		PC1
#define R5P_ON		PORTC|=_BV(REL5P)
#define R5P_OFF 	PORTC&=~_BV(REL5P)

#define REL12P		PC6
#define R12P_ON		PORTC|=_BV(REL12P)
#define R12P_OFF	PORTC&=~_BV(REL12P)

#define REL26P		PC7
#define R26P_ON		PORTC|=_BV(REL26P)
#define R26P_OFF	PORTC&=~_BV(REL26P)

#define RXD			PD0
#define TXD			PD1
#define	RTS			PD2
#define CTS			PD3
#define LEDG		PD4
#define PROGP		PD5

#define LED_G_OFF	PORTD|=_BV(LEDG)
#define LED_G_ON 	PORTD&=~_BV(LEDG)

#define PROGP_ON	PORTD&=~_BV(PROGP)
#define PROGP_OFF	PORTD|=_BV(PROGP)

#define RTS_OFF		PORTD|=_BV(RTS)
#define RTS_ON		PORTD&=~_BV(RTS)


#define A9			PD7
#define	A8			PD6
#define	A7			PA7
#define	A6			PA6
#define	A5			PA5
#define	A4			PA4
#define	A3			PA3
#define	A2			PA2
#define	A1			PA1
#define	A0			PA0

volatile struct
{
  uint8_t tmr0_int: 1;
  uint8_t rx0_chars: 1;
  uint8_t rx1_chars: 1;
} intbits;

